%define upstream_name    Template-XML
%define upstream_version 2.17

%global __provides_exclude perl\\(XML::

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary: 	XML plugin for the Template Toolkit
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://www.template-toolkit.org
Source0:	http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(Template) >= 2.15
BuildRequires:	perl(XML::DOM) >= 1.27
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::Parser) >= 2.19
BuildRequires:	perl(XML::RSS) >= 0.9
BuildRequires:	perl(XML::Simple) >= 2
BuildRequires:	perl(XML::XPath) >= 1
BuildArch:	noarch


%description
The Template-XML distribution provides a number of Template Toolkit
plugin modules for working with XML.

The basic XML plugins were distributed as part of the Template Toolkit
until version 2.15 released in May 2006. At this time they were
extracted into this separate Template-XML distribution and an alpha
version of this Template::Plugin::XML front-end module was added.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%{makeinstall_std}

%files
%doc README
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.170.0-7.mga6
+ Revision: 1033917
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.170.0-6.mga6
+ Revision: 933389
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.170.0-5.mga5
+ Revision: 742440
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.170.0-4.mga5
+ Revision: 686360
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 2.170.0-3.mga4
+ Revision: 515050
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.170.0-2.mga3
+ Revision: 373186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.170.0-1.mga1
+ Revision: 37703
- mageia rebuild
- imported package perl-Template-XML

